<?php 

//table helper
function table($data, array $headers = array(), array $options = array()) {
	//Create the table 
	echo '<tr>';
	foreach ($headers as $k => $v) 
	{
		echo "<th>$v</th>";
	}
	echo "</tr>\n";


	foreach ($data as $item)
	{
		echo '<tr>';
		foreach($headers as $key => $value)
		{
			echo '<td>';
			echo $item->$key;
			echo '</td>';
		}
		echo "</tr>\n";
	}
}
?>

<div class="container_12">
<div class="grid_4">
<h2> Search options </h2>
<hr />
<?= $this->form->create(null, array('method' => 'get')); ?>
	<?= $this->form->field('search', array('type' => 'textbox', 'class' => 'sidebar-search', 'style' => 'width:200px')); ?>
	<?= $this->form->label('type', 'For:'); ?>
	<?= $this->form->select('type', array('Anime'  => 'Anime',
								  		  'Manga'  => 'Manga',
								  		  'Kdrama' => 'Kdrama')); ?>
	<?= $this->form->submit('Search', array('style' => 'width: 100px')); ?>
<?= $this->form->end(); ?>
</div>
<div class="grid_8">
<h2>Search Results</h2>
<hr />
	<table class="table">
		<?php table($content, $headers); ?>
	</table>
<?=$this->Paginator->paginate(array('separator' => '', 'action' => 'index/anime')); ?>
</div>
<br class="cl">
</div>